> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Dow Jones Archive



## OpenAPI

````yaml POST /api/v1/backchannel/dow-jones-archive/search
openapi: 3.0.3
info:
  title: Backchannel API
  version: 1.0.0
  description: >-
    API for integrating Tilt market intelligence capabilities, including
    scenarios, topics, company news, company search, and risk analysis.
servers:
  - url: https://tilt.io
    description: Production
security:
  - apiKeyAuth: []
paths:
  /api/v1/backchannel/dow-jones-archive/search:
    post:
      tags:
        - Dow Jones Archive
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DowJonesSearchRequest'
      responses:
        '200':
          description: Semantic search over Dow Jones news archive
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DowJonesSearchResponse'
      security:
        - apiKeyAuth: []
components:
  schemas:
    DowJonesSearchRequest:
      type: object
      properties:
        query:
          type: string
          minLength: 1
        vector_name:
          type: string
          enum:
            - content_vector
            - headline_vector
          default: content_vector
        filters:
          $ref: '#/components/schemas/DowJonesSearchFilters'
        limit:
          type: integer
          minimum: 1
          maximum: 100
          default: 20
        min_score:
          type: number
          nullable: true
          minimum: 0
          maximum: 1
        include_vectors:
          type: boolean
          default: false
        score:
          type: boolean
          default: false
      required:
        - query
    DowJonesSearchResponse:
      type: object
      properties:
        success:
          type: boolean
        results:
          type: array
          items:
            $ref: '#/components/schemas/DowJonesSearchResult'
        total_results:
          type: integer
        query:
          type: string
        vector_name:
          type: string
        min_score:
          type: number
          nullable: true
        scored:
          type: boolean
      required:
        - success
        - results
        - total_results
        - query
        - vector_name
    DowJonesSearchFilters:
      type: object
      nullable: true
      properties:
        tickers:
          type: array
          items:
            type: string
        isins:
          type: array
          items:
            type: string
        tilt_asset_ids:
          type: array
          items:
            type: string
        date:
          $ref: '#/components/schemas/DowJonesDateFilter'
        docdate:
          anyOf:
            - type: integer
            - type: string
        tilt_source:
          type: string
        publisher:
          type: string
        subject_codes:
          type: array
          items:
            type: string
        industry_codes:
          type: array
          items:
            type: string
        market_codes:
          type: array
          items:
            type: string
        geo_codes:
          type: array
          items:
            type: string
        company_codes:
          type: array
          items:
            type: string
    DowJonesSearchResult:
      type: object
      properties:
        id:
          anyOf:
            - type: integer
            - type: string
        score:
          type: number
        payload:
          type: object
          additionalProperties:
            nullable: true
        vectors:
          type: object
          nullable: true
          additionalProperties:
            nullable: true
        theme_relevance:
          type: number
          nullable: true
        impact:
          type: number
          nullable: true
        composite_score:
          type: number
          nullable: true
      required:
        - id
        - score
        - payload
    DowJonesDateFilter:
      type: object
      properties:
        min:
          type: string
        max:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````